package com.dzeio.openhealth.ui.extensions

import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.extensions.ExtensionFactory
import com.dzeio.openhealth.utils.Configuration
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class ExtensionsViewModel @Inject internal constructor(
    val config: Configuration
) : BaseViewModel() {

    val extensions = ExtensionFactory.getAll()

}
